commit:     65fe49e4d9b59d0100a658391b324440ab735ee8
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  5 19:16:58 2017 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Wed Apr  5 19:18:18 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65fe49e4

sci-chemistry/acpype: Version bump, clean old

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 sci-chemistry/acpype/Manifest            |  2 +-
 sci-chemistry/acpype/acpype-0.1.0.ebuild | 32 +++++++++++++++++++++++++++
 sci-chemistry/acpype/acpype-389.ebuild   | 38 --------------------------------
 3 files changed, 33 insertions(+), 39 deletions(-)

diff --git a/sci-chemistry/acpype/Manifest b/sci-chemistry/acpype/Manifest
index a300acfa91d..bdf447ff681 100644
--- a/sci-chemistry/acpype/Manifest
+++ b/sci-chemistry/acpype/Manifest
@@ -1 +1 @@
-DIST acpype-389.tar.xz 524460 SHA256 
4fd4036308cd81a480beaa56ae65b43a8c5ee3bbfc64b07b4d0b6649602f529a SHA512 
0fbcb83ae8306d6bcc1cfd921d70c67a15e14c443453ab8c4cfd7082c15b95599801abbe31a46313674aa4841c5cd5499b69cc080221acc2793dc808df247987
 WHIRLPOOL 
21c8ee51c651c7a519716c818b0febd5fd62384aeeb6a5ce0f8dcf877181edba75fdd15be0d5a158b5a22d051765fb231c7c10038b8da1bcd98bede848057e95
+DIST acpype-0.1.0.tar.gz 1187249 SHA256 
990d760dc2b8b4acd81d7c7e228328c4864dbc6337bc135811337bb13345b68f SHA512 
4edfd17a4d474d00a086ff59c4d4423bed9e0c39d2e762d6667792332dff0c121d37e18e9693f6d6a45967e06d0ce17597d62f5754c187ea19fb6750b5310fe0
 WHIRLPOOL 
87428674d1566f0d4879a2761965978eb2fac50af9fe594e01556bfda8e8001f00c6b762ff6c14ab3dfdcdcdb1bb8ea53942ca1ea241a8fccbd146d1d6ba152b

diff --git a/sci-chemistry/acpype/acpype-0.1.0.ebuild 
b/sci-chemistry/acpype/acpype-0.1.0.ebuild
new file mode 100644
index 00000000000..30b496f318b
--- /dev/null
+++ b/sci-chemistry/acpype/acpype-0.1.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="AnteChamber PYthon Parser interfacE"
+HOMEPAGE="https://github.com/llazzaro";
+SRC_URI="https://github.com/llazzaro/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE=""
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+       ${PYTHON_DEPS}
+       sci-chemistry/openbabel
+       sci-chemistry/ambertools"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       sed \
+               -e '1s:^:#!/usr/bin/python\n\n:g' \
+               -i acpype/CcpnToAcpype.py || die
+       default
+}

diff --git a/sci-chemistry/acpype/acpype-389.ebuild 
b/sci-chemistry/acpype/acpype-389.ebuild
deleted file mode 100644
index 81a479e4db0..00000000000
--- a/sci-chemistry/acpype/acpype-389.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 )
-
-inherit python-r1
-
-DESCRIPTION="AnteChamber PYthon Parser interfacE"
-HOMEPAGE="https://code.google.com/p/acpype/";
-SRC_URI="https://dev.gentoo.org/~jlec/distfiles/${P}.tar.xz";
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux"
-IUSE=""
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-DEPEND="
-       ${PYTHON_DEPS}
-       sci-chemistry/ambertools"
-RDEPEND="${DEPEND}"
-
-src_prepare() {
-       sed \
-               -e '1s:^:#!/usr/bin/python\n\n:g' \
-               -i CcpnToAcpype.py || die
-}
-
-src_install() {
-       python_foreach_impl python_newscript ${PN}.py ${PN}
-       python_foreach_impl python_newscript CcpnToAcpype.py CcpnToAcpype
-       dodoc NOTE.txt README.txt
-       insinto /usr/share/${PN}
-       doins -r ffamber_additions test
-}

Reply via email to